AccountControllerChangePassword Method |
POST /Account/ChangePassword/
Updates the password for the current account, or if an account ID is specified, the password for the specified account.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPostAttribute]
[ActionNameAttribute("ChangePassword")]
public HttpResponseMessage ChangePassword(
[FromBodyAttribute] ChangePasswordOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("ChangePassword")>
Public Function ChangePassword (
<FromBodyAttribute> options As ChangePasswordOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"ChangePassword")]
HttpResponseMessage^ ChangePassword(
[FromBodyAttribute] ChangePasswordOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("ChangePassword")>]
member ChangePassword :
[<FromBodyAttribute>] options : ChangePasswordOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsChangePasswordOptions
The options used to change the password for the current account or a specified account (if an account ID is specified). - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageA status code indicating success or the reason for failure.
See Also